Trying to update to rails 3.0 beta on ubuntu. For some reason none of the commands work & ubuntu doesn't recognize rails exists. HELP!

Hi,
I'm about to go out of my mind. I've been literally working all day on
installing rails 3.0 beta. I have followed the steps in the ruby on
rails release notes to a T. I've installed all of it's neccesary gems
and than I try installing it by gem install rails --pre . I watch it
install all of it's dependent gems and when it finishes I try a simple
rails -v to get this "rails -v
getopt: invalid option -- 'v'
Terminating...
"
I've tried using the rails s command (I also tried rails server) and
instead of turning on the server it makes a new app! I go into that
app try again and it makes another app. I've literally re-installed
and uninstalled it trying different tricks since ten am in the morning
(it's now 8:30 PM). Anyways, I can't figure out how to get it to work
and I really need to program in rails 3.0 even though it is a beta
because I'm just starting on a complex app and I don't want to have to
recode all of the syntax 6 months after it launches. I was programming
in 2.3.5 BTW. Anyways any help is appreciated!

Hi,

I’m about to go out of my mind. I’ve been literally working all day on

installing rails 3.0 beta. I have followed the steps in the ruby on

rails release notes to a T. I’ve installed all of it’s neccesary gems

and than I try installing it by gem install rails --pre . I watch it

install all of it’s dependent gems and when it finishes I try a simple

rails -v to get this "rails -v

getopt: invalid option – ‘v’

Terminating…

"

I’ve tried using the rails s command (I also tried rails server) and

instead of turning on the server it makes a new app! I go into that

app try again and it makes another app. I’ve literally re-installed

and uninstalled it trying different tricks since ten am in the morning

(it’s now 8:30 PM). Anyways, I can’t figure out how to get it to work

and I really need to program in rails 3.0 even though it is a beta

because I’m just starting on a complex app and I don’t want to have to

recode all of the syntax 6 months after it launches. I was programming

in 2.3.5 BTW. Anyways any help is appreciated!

What are the exact commands that you have typed to install Rails 3.0

beta? Are you using RVM? Lastly, did you follow the instructions to

remove all previous versions of Bundler gem?

-Conrad

Hi Conrad,

I’ve installed rails 3 beta successfully on my Ubuntu Karmik Koala
following “exactly” these instructions (it is working on postgresql too
just installing pg gem !!!):

gem install tzinfo builder memcache-client rack rack-test rack-mount erubis mail text-format thor bundler i18n
gem install rails --pre

I’m working with Ruby MRI:

ruby 1.8.7 (2009-06-12 patchlevel 174) [i486-linux]

gem 1.3.5

VERY IMPORTANT: pay attention that ONLY the latest version of bundler
gem is installed.

If I try to run rails -v the result is: Rails 3.0.0.beta

If you want to start the server you must create the application first
and then enter into application folder:

rails my_new_application

cd my_new_application

rails server

Hope this helps…

No I'm not using RVM because iþ crashes when I try to install it. I've
tried rails s, rails server, rails -v. I went to my wits end last
night & wiped out all of my gems so the bundler isn't an issue. I ran
the same commands for install as posted above over ten times to no
avail. I also made sure bundler wasn't pre installed on all of my
attempts to make it work. What makes me really confused is that the
command rails newapp works. Any ideas??? Oh I'm running ruby 1.8.7